class Stagebloc

  BASE_URL = "https://api.stagebloc.com/v1"

  def initialize client_id
    @client ||= "client_id=#{client_id}"
  end

  def account account_id
    get "#{BASE_URL}/account/#{account_id}?#{@client}"
  end

  def children_for_account account_id
    get("#{BASE_URL}/account/#{account_id}/children?#{@client}")['child_accounts']
  end

  def get_audio account_id, audio_id
    get "#{BASE_URL}/account/#{account_id}/audio/#{audio_id}?#{@client}"
  end

  private
  def get url
    parse_response(HTTParty.get(url).body)['data']
  end

  def parse_response resp
    JSON.parse(resp)
  end
end
